Pular para o conteúdo principal
GET
/
v1
/
pix-automatico
/
schedules
/
{endToEndId}
/
cancel
/
{idCancelamento}
Consultar cancelamento de agendamento de Pix Automático
curl --request GET \
  --url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/schedules/{endToEndId}/cancel/{idCancelamento} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/schedules/{endToEndId}/cancel/{idCancelamento}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/schedules/{endToEndId}/cancel/{idCancelamento}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cancelStatus": 123,
  "endToEndId": "<string>",
  "idCancelamento": "<string>",
  "localStatus": "<string>",
  "localStatusKnown": true,
  "reason": 123,
  "recipientIspb": "<string>",
  "requester": 123,
  "requesterDocument": "<string>",
  "requesterIspb": "<string>",
  "requesterType": 123,
  "stJdPi": 123,
  "stJdPiProc": 123,
  "cancelledAt": "<string>",
  "errorCode": "<string>",
  "errorDesc": "<string>",
  "reconciliationId": "<string>",
  "requestedAt": "<string>",
  "situationAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

Autenticacao por token JWT Bearer. Obtenha o token no endpoint /v1/login/oauth/access_token usando credenciais do cliente (clientId e clientSecret).

Inclua o token no header Authorization: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

O token expira apos 3600 segundos (1 hora).

Parâmetros de caminho

endToEndId
string
obrigatório

O id da transação de pagamento (32 caracteres).

idCancelamento
string
obrigatório

O id do cancelamento (29 caracteres, CA...).

Resposta

OK

cancelStatus
integer<int64>
obrigatório

stCancelamento (0=Aceito, 1=Rejeitado; -1 quando ausente).

endToEndId
string
obrigatório

O id da transação de pagamento.

idCancelamento
string
obrigatório

O id do cancelamento (CA...).

localStatus
string
obrigatório

ScheduleStatus local projetado a partir da situação do upstream.

localStatusKnown
boolean
obrigatório

False quando a situação do upstream não carrega status local projetado.

reason
integer<int64>
obrigatório

motivoCancelamento (0..6).

recipientIspb
string
obrigatório

ispbDestinatario (string).

requester
integer<int64>
obrigatório

solCancelamento (0=PSP pagador, 1=PSP recebedor).

requesterDocument
string
obrigatório

CPF/CNPJ do solicitante (string).

requesterIspb
string
obrigatório

ispbSolicitante (string).

requesterType
integer<int64>
obrigatório

tpPessoaSol.

stJdPi
integer<int64>
obrigatório

Situação geral do upstream.

stJdPiProc
integer<int64>
obrigatório

Situação intermediária do upstream.

cancelledAt
string

Data/hora do cancelamento (UTC).

errorCode
string

Código de erro do upstream.

errorDesc
string

Descrição de erro do upstream.

reconciliationId
string

O id de conciliação do recebedor.

requestedAt
string

Data/hora da requisição upstream (UTC).

situationAt
string

Data/hora da situação (UTC).